000034827 - RSA Identity Governance and Lifecycle Installer aborts with an error "Current swap size of "16777212 KB" is less then needed minimum value of "16777216 KB""

Document created by RSA Customer Support Employee on Feb 24, 2017Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000034827
Applies ToRSA Product Set: Identity Governance and Lifecycle
RSA Product/Service Type: Appliance
RSA Version/Condition: 7.0.1
 
IssueWhen attempting to perform an upgrade a hardware appliance to version 7.0.1, an insufficient swap space error occurs and the installation aborts:
Pre-Requisites Test(s) failed with the following message(s) : 
Current swap size of "16777212 KB" is less then needed minimum value of "16777216 KB"
CauseThe installer checks for swap space but incorrectly fails to automatically increase it as necessary.
ResolutionThis issue will be fixed in version 7.0.2.
 
WorkaroundRemove or comment out the checkSwapSpace function call in installer file /tmp/aveksa/staging/InspectSystem.sh and re-run the installer.  The existing swap space will allow the install to complete successfully.
To effectively remove the checkSwapSpace execution, comment out the lines (code near line 1107) by preceding each line with #, as shown here:
...
#if [ $REMOTE_ORACLE = N ]; then 
        # Purpose : check if the system has the swap space matching RAM up to 16GB 
 #       runtest checkSwapSpace 
 #   fi

...



 

Attachments

    Outcomes